org.apache.calcite.avatica.proto

## Class Common.TypedValue

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - org.apache.calcite.avatica.proto.Common.TypedValue

All Implemented Interfaces:
  com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Serializable, Common.TypedValueOrBuilder

Enclosing class:
  Common

    public static final class Common.TypedValue
    extends com.google.protobuf.GeneratedMessageV3
    implements Common.TypedValueOrBuilder

     Generic wrapper to support any SQL type. Struct-like to work around no polymorphism construct.

Protobuf type `TypedValue`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `Common.TypedValue.Builder` Generic wrapper to support any SQL type.

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`

### Field Summary

Fields
`static int` `ARRAY_VALUE_FIELD_NUMBER`
`private List<Common.TypedValue>` `arrayValue_`
`private int` `bitField0_`
`static int` `BOOL_VALUE_FIELD_NUMBER`
`private boolean` `boolValue_`
`static int` `BYTES_VALUE_FIELD_NUMBER`
`private com.google.protobuf.ByteString` `bytesValue_`
`static int` `COMPONENT_TYPE_FIELD_NUMBER`
`private int` `componentType_`
`private static Common.TypedValue` `DEFAULT_INSTANCE`
`static int` `DOUBLE_VALUE_FIELD_NUMBER`
`private double` `doubleValue_`
`static int` `IMPLICITLY_NULL_FIELD_NUMBER`
`private boolean` `implicitlyNull_`
`private byte` `memoizedIsInitialized`
`private boolean` `null_`
`static int` `NULL_FIELD_NUMBER`
`static int` `NUMBER_VALUE_FIELD_NUMBER`
`private long` `numberValue_`
`private static com.google.protobuf.Parser<Common.TypedValue>` `PARSER`
`private static long` `serialVersionUID`
`static int` `STRING_VALUE_FIELD_NUMBER`
`private Object` `stringValue_`
`private int` `type_`
`static int` `TYPE_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Constructor Summary

Constructors
`private` `TypedValue()`
`private` `TypedValue(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`private` `TypedValue(com.google.protobuf.GeneratedMessageV3.Builder<?> builder)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`Common.TypedValue` `getArrayValue(int index)` The Array
`int` `getArrayValueCount()` The Array
`List<Common.TypedValue>` `getArrayValueList()` The Array
`Common.TypedValueOrBuilder` `getArrayValueOrBuilder(int index)` The Array
`List<? extends Common.TypedValueOrBuilder>` `getArrayValueOrBuilderList()` The Array
`boolean` `getBoolValue()` boolean
`com.google.protobuf.ByteString` `getBytesValue()` includes numeric types and date/time types.
`Common.Rep` `getComponentType()` If an Array, the representation for the array values
`int` `getComponentTypeValue()` If an Array, the representation for the array values
`static Common.TypedValue` `getDefaultInstance()`
`Common.TypedValue` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`double` `getDoubleValue()` big numbers
`boolean` `getImplicitlyNull()` Differentiate between explicitly null (user-set) and implicitly null
`boolean` `getNull()` a null object
`long` `getNumberValue()` var-len encoding lets us shove anything from byte to long
`com.google.protobuf.Parser<Common.TypedValue>` `getParserForType()`
`int` `getSerializedSize()`
`String` `getStringValue()` char/varchar
`com.google.protobuf.ByteString` `getStringValueBytes()` char/varchar
`Common.Rep` `getType()` The actual type that was serialized in the general attribute below
`int` `getTypeValue()` The actual type that was serialized in the general attribute below
`com.google.protobuf.UnknownFieldSet` `getUnknownFields()`
`int` `hashCode()`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`static Common.TypedValue.Builder` `newBuilder()`
`static Common.TypedValue.Builder` `newBuilder(Common.TypedValue prototype)`
`Common.TypedValue.Builder` `newBuilderForType()`
`protected Common.TypedValue.Builder` `newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`static Common.TypedValue` `parseDelimitedFrom(InputStream input)`
`static Common.TypedValue` `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Common.TypedValue` `parseFrom(byte[] data)`
`static Common.TypedValue` `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Common.TypedValue` `parseFrom(ByteBuffer data)`
`static Common.TypedValue` `parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Common.TypedValue` `parseFrom(com.google.protobuf.ByteString data)`
`static Common.TypedValue` `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Common.TypedValue` `parseFrom(com.google.protobuf.CodedInputStream input)`
`static Common.TypedValue` `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Common.TypedValue` `parseFrom(InputStream input)`
`static Common.TypedValue` `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<Common.TypedValue>` `parser()`
`Common.TypedValue.Builder` `toBuilder()`
`void` `writeTo(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, newBuilderForType, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

#### bitField0_

    private int bitField0_

#### TYPE_FIELD_NUMBER

    public static final int TYPE_FIELD_NUMBER

See Also:
  Constant Field Values

#### type_

    private int type_

#### BOOL_VALUE_FIELD_NUMBER

    public static final int BOOL_VALUE_FIELD_NUMBER

See Also:
  Constant Field Values

#### boolValue_

    private boolean boolValue_

#### STRING_VALUE_FIELD_NUMBER

    public static final int STRING_VALUE_FIELD_NUMBER

See Also:
  Constant Field Values

#### stringValue_

    private volatile Object stringValue_

#### NUMBER_VALUE_FIELD_NUMBER

    public static final int NUMBER_VALUE_FIELD_NUMBER

See Also:
  Constant Field Values

#### numberValue_

    private long numberValue_

#### BYTES_VALUE_FIELD_NUMBER

    public static final int BYTES_VALUE_FIELD_NUMBER

See Also:
  Constant Field Values

#### bytesValue_

    private com.google.protobuf.ByteString bytesValue_

#### DOUBLE_VALUE_FIELD_NUMBER

    public static final int DOUBLE_VALUE_FIELD_NUMBER

See Also:
  Constant Field Values

#### doubleValue_

    private double doubleValue_

#### NULL_FIELD_NUMBER

    public static final int NULL_FIELD_NUMBER

See Also:
  Constant Field Values

#### null_

    private boolean null_

#### ARRAY_VALUE_FIELD_NUMBER

    public static final int ARRAY_VALUE_FIELD_NUMBER

See Also:
  Constant Field Values

#### arrayValue_

    private List<Common.TypedValue> arrayValue_

#### COMPONENT_TYPE_FIELD_NUMBER

    public static final int COMPONENT_TYPE_FIELD_NUMBER

See Also:
  Constant Field Values

#### componentType_

    private int componentType_

#### IMPLICITLY_NULL_FIELD_NUMBER

    public static final int IMPLICITLY_NULL_FIELD_NUMBER

See Also:
  Constant Field Values

#### implicitlyNull_

    private boolean implicitlyNull_

#### memoizedIsInitialized

    private byte memoizedIsInitialized

#### DEFAULT_INSTANCE

    private static final Common.TypedValue DEFAULT_INSTANCE

#### PARSER

    private static final com.google.protobuf.Parser<Common.TypedValue> PARSER

### Constructor Detail

#### TypedValue

    private TypedValue(com.google.protobuf.GeneratedMessageV3.Builder<?> builder)

#### TypedValue

    private TypedValue()

#### TypedValue

    private TypedValue(com.google.protobuf.CodedInputStream input,
                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### Method Detail

#### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### getTypeValue

    public int getTypeValue()

     The actual type that was serialized in the general attribute below

`.Rep type = 1;`

Specified by:
  `getTypeValue` in interface `Common.TypedValueOrBuilder`

#### getType

    public Common.Rep getType()

     The actual type that was serialized in the general attribute below

`.Rep type = 1;`

Specified by:
  `getType` in interface `Common.TypedValueOrBuilder`

#### getBoolValue

    public boolean getBoolValue()

     boolean

`bool bool_value = 2;`

Specified by:
  `getBoolValue` in interface `Common.TypedValueOrBuilder`

#### getStringValue

    public String getStringValue()

     char/varchar

`string string_value = 3;`

Specified by:
  `getStringValue` in interface `Common.TypedValueOrBuilder`

#### getStringValueBytes

    public com.google.protobuf.ByteString getStringValueBytes()

     char/varchar

`string string_value = 3;`

Specified by:
  `getStringValueBytes` in interface `Common.TypedValueOrBuilder`

#### getNumberValue

    public long getNumberValue()

     var-len encoding lets us shove anything from byte to long

`sint64 number_value = 4;`

Specified by:
  `getNumberValue` in interface `Common.TypedValueOrBuilder`

#### getBytesValue

    public com.google.protobuf.ByteString getBytesValue()

     includes numeric types and date/time types.

`bytes bytes_value = 5;`

Specified by:
  `getBytesValue` in interface `Common.TypedValueOrBuilder`

#### getDoubleValue

    public double getDoubleValue()

     big numbers

`double double_value = 6;`

Specified by:
  `getDoubleValue` in interface `Common.TypedValueOrBuilder`

#### getNull

    public boolean getNull()

     a null object

`bool null = 7;`

Specified by:
  `getNull` in interface `Common.TypedValueOrBuilder`

#### getArrayValueList

    public List<Common.TypedValue> getArrayValueList()

     The Array

`repeated .TypedValue array_value = 8;`

Specified by:
  `getArrayValueList` in interface `Common.TypedValueOrBuilder`

#### getArrayValueOrBuilderList

    public List<? extends Common.TypedValueOrBuilder> getArrayValueOrBuilderList()

     The Array

`repeated .TypedValue array_value = 8;`

Specified by:
  `getArrayValueOrBuilderList` in interface `Common.TypedValueOrBuilder`

#### getArrayValueCount

    public int getArrayValueCount()

     The Array

`repeated .TypedValue array_value = 8;`

Specified by:
  `getArrayValueCount` in interface `Common.TypedValueOrBuilder`

#### getArrayValue

    public Common.TypedValue getArrayValue(int index)

     The Array

`repeated .TypedValue array_value = 8;`

Specified by:
  `getArrayValue` in interface `Common.TypedValueOrBuilder`

#### getArrayValueOrBuilder

    public Common.TypedValueOrBuilder getArrayValueOrBuilder(int index)

     The Array

`repeated .TypedValue array_value = 8;`

Specified by:
  `getArrayValueOrBuilder` in interface `Common.TypedValueOrBuilder`

#### getComponentTypeValue

    public int getComponentTypeValue()

     If an Array, the representation for the array values

`.Rep component_type = 9;`

Specified by:
  `getComponentTypeValue` in interface `Common.TypedValueOrBuilder`

#### getComponentType

    public Common.Rep getComponentType()

     If an Array, the representation for the array values

`.Rep component_type = 9;`

Specified by:
  `getComponentType` in interface `Common.TypedValueOrBuilder`

#### getImplicitlyNull

    public boolean getImplicitlyNull()

     Differentiate between explicitly null (user-set) and implicitly null

`bool implicitly_null = 10;`

Specified by:
  `getImplicitlyNull` in interface `Common.TypedValueOrBuilder`

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo(com.google.protobuf.CodedOutputStream output)
                 throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static Common.TypedValue parseFrom(ByteBuffer data)
                                       throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Common.TypedValue parseFrom(ByteBuffer data,
                                              com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                       throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Common.TypedValue parseFrom(com.google.protobuf.ByteString data)
                                       throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Common.TypedValue parseFrom(com.google.protobuf.ByteString data,
                                              com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                       throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Common.TypedValue parseFrom(byte[] data)
                                       throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Common.TypedValue parseFrom(byte[] data,
                                              com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                       throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Common.TypedValue parseFrom(InputStream input)
                                       throws IOException

Throws:
  `IOException`

#### parseFrom

    public static Common.TypedValue parseFrom(InputStream input,
                                              com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                       throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static Common.TypedValue parseDelimitedFrom(InputStream input)
                                                throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static Common.TypedValue parseDelimitedFrom(InputStream input,
                                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                throws IOException

Throws:
  `IOException`

#### parseFrom

    public static Common.TypedValue parseFrom(com.google.protobuf.CodedInputStream input)
                                       throws IOException

Throws:
  `IOException`

#### parseFrom

    public static Common.TypedValue parseFrom(com.google.protobuf.CodedInputStream input,
                                              com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                       throws IOException

Throws:
  `IOException`

#### newBuilderForType

    public Common.TypedValue.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static Common.TypedValue.Builder newBuilder()

#### newBuilder

    public static Common.TypedValue.Builder newBuilder(Common.TypedValue prototype)

#### toBuilder

    public Common.TypedValue.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected Common.TypedValue.Builder newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static Common.TypedValue getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<Common.TypedValue> parser()

#### getParserForType

    public com.google.protobuf.Parser<Common.TypedValue> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public Common.TypedValue getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`